## ros-jazzy-gz-ros2-control 1.2.7

=== debian/changelog ===
ros-jazzy-gz-ros2-control (1.2.7-1bookworm) bookworm; urgency=high

  * Parse position_proportional_gain parameter from URDF and update docs (#393 <https://github.com/ros-controls/gz_ros2_control//issues/393>) (#410 <https://github.com/ros-controls/gz_ros2_control//issues/410>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 8cecc69b7aa698dfd996ae545c186a42b6799d87)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * propagate gazebo remapping and other arguments to the controller node (#396 <https://github.com/ros-controls/gz_ros2_control//issues/396>) (#397 <https://github.com/ros-controls/gz_ros2_control//issues/397>)
    (cherry picked from commit cbdd3a3fc6dcb49072b501984c3294a20872dcd8)
    Co-authored-by: Sai Kishor Kothakota <mailto:sai.kishor@pal-robotics.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-jazzy-gz-ros2-control (1.2.6-1bookworm) bookworm; urgency=high

  * Propagate the node clock and logging interface (#368 <https://github.com/ros-controls/gz_ros2_control/issues/368>) (#373 <https://github.com/ros-controls/gz_ros2_control/issues/373>)
    (cherry picked from commit a1d9bd46fc491c0de35f86f9c14c1620cbcdb037)
    Co-authored-by: Sai Kishor Kothakota <mailto:sai.kishor@pal-robotics.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-jazzy-gz-ros2-control (1.2.5-1bookworm) bookworm; urgency=high

  * Simplify access for robot description from CM by overriding RM. (#265 <https://github.com/ros-controls/gz_ros2_control/issues/265>) (#364 <https://github.com/ros-controls/gz_ros2_control/issues/364>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
    (cherry picked from commit ced470bf20d4e9313f76582eda4a28f7fc6a6a11)
    Co-authored-by: Dr. Denis <mailto:denis@stoglrobotics.de>
  * Update docs and cleanup member of GazeboSimROS2ControlPluginPrivate (#363 <https://github.com/ros-controls/gz_ros2_control/issues/363>) (#367 <https://github.com/ros-controls/gz_ros2_control/issues/367>)
    (cherry picked from commit 9257ad3973e2aebf9756c7a8154efb9673ed1a43)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-jazzy-gz-ros2-control (1.2.4-1bookworm) bookworm; urgency=high

  * Don't crash if a wrong config was detected (#324 <https://github.com/ros-controls/gz_ros2_control/issues/324>) (#331 <https://github.com/ros-controls/gz_ros2_control/issues/331>)
    (cherry picked from commit ec1b95893fa933cb3e2cc5341bb65dd621645785)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Harden behavior if a joint is not found in the model (#325 <https://github.com/ros-controls/gz_ros2_control/issues/325>) (#333 <https://github.com/ros-controls/gz_ros2_control/issues/333>)
    * Don't crash if a joint does not exist
    (cherry picked from commit 5d2d5eb6c867875c3c8d00a03cd472eac176e67c)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Changed to use spin instead of spin_once to enable multithreading with MultiThreadedExecutor (#315 <https://github.com/ros-controls/gz_ros2_control/issues/315>) (#319 <https://github.com/ros-controls/gz_ros2_control/issues/319>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 45035076408e6014cc911e8d4bc169572a25008c)
    Co-authored-by: Takashi Sato <mailto:t.sato17123@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Sat, 01 Jun 2024 16:00:00 -0000

ros-jazzy-gz-ros2-control (1.2.3-1bookworm) bookworm; urgency=high

  * Use Gazebo ROS vendor packages (#277 <https://github.com/ros-controls/gz_ros2_control/issues/277>)
  * fixed target of ament_export_libraries (#295 <https://github.com/ros-controls/gz_ros2_control/issues/295>)
  * fixed install include (#294 <https://github.com/ros-controls/gz_ros2_control/issues/294>)
  * Added parameters robot_param and robot_param_node (#275 <https://github.com/ros-controls/gz_ros2_control/issues/275>) (#280 <https://github.com/ros-controls/gz_ros2_control/issues/280>)
    (cherry picked from commit 53b6c74b02bf85860854a37f429b6e2ecf22a4be)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Rewrite mimic joints (#276 <https://github.com/ros-controls/gz_ros2_control/issues/276>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fixed linter (#264 <https://github.com/ros-controls/gz_ros2_control/issues/264>)
  * Fix #259 <https://github.com/ros-controls/gz_ros2_control/issues/259> - ParameterAlreadyDeclaredException for parameter position_proportional_gain (#261 <https://github.com/ros-controls/gz_ros2_control/issues/261>)
  * Contributors: Addisu Z. Taddese, Alejandro Hernández Cordero, Christoph Fröhlich, Patrick Roncagliolo, Takashi Sato, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 13 May 2024 16:00:00 -0000

ros-jazzy-gz-ros2-control (1.2.2-1bookworm) bookworm; urgency=high

  * Fix typo (#253 <https://github.com/ros-controls/gz_ros2_control/issues/253>)
  * Fix #247 <https://github.com/ros-controls/gz_ros2_control/issues/247> (#248 <https://github.com/ros-controls/gz_ros2_control/issues/248>)

