=== debian/control ===
Source: ros-jazzy-gz-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernández <alejandro@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-index-cpp, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-controller-manager, ros-jazzy-gz-plugin-vendor, ros-jazzy-gz-sim-vendor, ros-jazzy-hardware-interface, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-yaml-cpp-vendor, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-gz-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ament-index-cpp, ros-jazzy-controller-manager, ros-jazzy-gz-plugin-vendor, ros-jazzy-gz-sim-vendor, ros-jazzy-hardware-interface, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-yaml-cpp-vendor, ros-jazzy-ros-workspace
Description: Gazebo ros2_control package allows to control simulated robots using ros2_control framework.
